package ui.view.main;

import javax.swing.JMenu;
import javax.swing.JMenuBar;

/**
 * This Class is responsible for creating the toolBar of the MainFrame.
 * @author Tom
 *
 */
public class MainToolBar {

	private final JMenuBar menuBar = new JMenuBar();
	private final JMenu fileMenu = new JMenu("File");
	private final JMenu editMenu = new JMenu("Edit");
	private final JMenu windowMenu = new JMenu("Window");
	private final JMenu optionsMenu = new JMenu("Options");
	private final JMenu helpMenu = new JMenu("Help");
	
	
	public MainToolBar(MainFrame mainFrame) {
		//Initialize
		initMenuBar();
		mainFrame.setJMenuBar(menuBar);
	}


	private void initMenuBar() {
		menuBar.add(fileMenu);
		menuBar.add(editMenu);
		menuBar.add(windowMenu);
		menuBar.add(optionsMenu);
		menuBar.add(helpMenu);
	}

}
